/* MQ-3 Alcohol Sensor Circuit with Arduino */
#include <DigitShield.h>
const int AOUTpin = 3;//the AOUT pin of the alcohol sensor goes into analog pin A0 of the arduino
const int spPin = 11 ;//the anode of the LED connects to digital pin D13 of the arduino

int value;

void setup() {
  Serial.begin(9600);//sets the baud rate
  pinMode(spPin, OUTPUT);//sets the pin as an output of the arduino
  DigitShield.begin();
}



void loop()
{
  value= analogRead(AOUTpin);//reads the analaog value from the alcohol sensor's AOUT pin
  Serial.print("Alcohol value: ");  
  Serial.println(value);//prints the alcohol value
  DigitShield.setValue(value);
  delay(100);
  
  if (value > 300){
    digitalWrite(spPin, HIGH);
  } else {
    digitalWrite(spPin, LOW);
  }
}
